- Main Page
- Related Pages
- Modules
- Classes
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions

# MUserRenderOperation Class Reference

# OpenMayaRender - API module for rendering

This reference page is linked to from the following overview topics: Rendering Overrides.

Search for all occurrences

## Detailed Description

Class which defines a user defined rendering operation.

`#include <MViewport2Renderer.h>`

Inheritance diagram for MUserRenderOperation:
[legend]

List of all members.

## Public Member Functions
| MUserRenderOperation (const MString &name)
| Constructor for named user render operation.
virtual | ~MUserRenderOperation ()
| Default destructor for a user render operation.
virtual const MCameraOverride * | cameraOverride ()
| Query for a camera override.
virtual MStatus | execute (const MDrawContext &drawContext)=0
| Each user operation is responsible for "executing" itself.

## Constructor & Destructor Documentation

MUserRenderOperation | ( | const MString & | name | ) |

Constructor for named user render operation.

Parameters:

  [in] | name | Name of render operation

## Member Function Documentation

const MCameraOverride * cameraOverride | ( |  | ) | `[virtual]`

Search for all occurrences

Query for a camera override.

The default implementation returns that there is no override.

Returns:
  Reference to the camera override. NULL if there is no override.

MStatus execute | ( | const MDrawContext & | drawContext | ) | `[pure virtual]`

Search for all occurrences

Each user operation is responsible for "executing" itself.

Parameters:

  [in] | drawContext | Hardware draw context information

Refer the the documentation for MRenderOverride::startOperationIterator() which describes when this method will be invoked.

Returns:
  Status code

Status Codes:
  - MS::kSuccess The operation executed successfully.
  - MS::kFailure The operation failed.

MUserRenderOperation MUserRenderOperation MUserRenderOperation MUserRenderOperation MUserRenderOperation MUserRenderOperation MUserRenderOperation MUserRenderOperation MUserRenderOperation MUserRenderOperation
MUserRenderOperation MUserRenderOperation MUserRenderOperation MUserRenderOperation MUserRenderOperation MUserRenderOperation MUserRenderOperation MUserRenderOperation MUserRenderOperation MUserRenderOperation